package org.netkernel.layer1.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSInversion;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.module.standard.endpoint.StandardTransreptorImpl;

public class HDSInversionToHDSNode extends StandardTransreptorImpl
{
	public HDSInversionToHDSNode()
	{	this.declareThreadSafe();
		this.declareToRepresentation(IHDSNode.class);
		this.declareFromRepresentation(IHDSInversion.class);
	}

	@Override
	public void onTransrept(INKFRequestContext context) throws Exception
	{	IHDSInversion inv=context.sourcePrimary(IHDSInversion.class);
		context.createResponseFrom(inv.getRoot());
	}
}
